c
c     declarations and common block for the tri data
c
      integer no_of_triangles
      integer tri_connect(NODES_PER_TRIANGLE,MAXTRIANGLES)
      integer tri_quad(MAXTRIANGLES), tri_boundary(MAXTRIANGLES)
      real*8 tri_ccenter(NSD,MAXTRIANGLES), tri_sqradius(MAXTRIANGLES)
      common /triangle_info/ no_of_triangles, tri_connect, tri_quad,
     &                       tri_ccenter, tri_sqradius, tri_boundary
